e_CAD

Użytkownik forum
  • Zawartość

    127
  • Rejestracja

  • Ostatnia wizyta

  • Wygrane w rankingu

    4

Ostatnia wygrana e_CAD w Rankingu w dniu 7 Listopad

e_CAD posiadał najczęściej polubioną zawartość!

O e_CAD

  • Tytuł
    Średniozaawansowany
  1. Potwierdzam, że w wersji ZWCAD 2018 VERNUM = "2017.12.05(24685)_x64" problem został już wyeliminowany.
  2. Znaleźliśmy błąd w ZWCAD 2017 i ZWCAD 2018 polegający na niepełnej obsłudze zbiorów wskazań w LISP z poziomu pliku VBA. OPIS BŁĘDU: Przy tworzeniu zbioru wskazań w LISP z poziomu programu VBA przy pomocy komendy SENDCOMMAND, nie są pamiętane wszystkie obiekty zbioru wskazań, a jedynie ostatni z nich. Problem ten nie istniał w poprzednich wersjach ZWCAD i w innych platformach CAD również go nie ma. PRZYKŁAD SYMULUJĄCY BŁĄD: Wczytać plik: zbiorywskazan.zvb Wczytać i uruchomić plik: start.lsp OPIS PRZYKŁADU: Jeżeli uruchomi się procedurę "Test" z poziomu edytora VBA (F5) to wszystko jest OK., linie przesuwają się i wyświetla się komunikat "3". Jeżeli natomiast uruchomi się (dla testu wcześniej plik VBA musi być załadowany) plik "start.lsp" to przesuwa się tylko 1 linia i wyświetla się komunikat "1". I to jest istota problemu, że przy uruchamianiu/wywoływaniu procedury z pliku zewnętrznego ZWCAD 2017/2018 jakby zeruje zbiory wskazań w LISP. Jeżeli uruchomi się natomiast ten sam identyczny przykład np.: w ZWCAD+ to problemu nie ma i w obu przypadkach linie są przesuwane i zwracany jest komunikat "3". PLIKI Z PRZYKŁADEM: start.lsp (vl-vbarun "Test") zbiorywskazan.zvb Function Rysuj_Linie_1() As ZcadSelectionSet Dim L As ZcadLine Dim P1(0 To 2) As Double Dim P2(0 To 2) As Double P1(0) = 0: P1(1) = 0: P1(2) = 0 P2(0) = 100: P2(1) = 10: P2(2) = 0 Set L = ThisDrawing.ModelSpace.AddLine(P1, P2) End Function Function Rysuj_Linie_2() As ZcadSelectionSet Dim L As ZcadLine Dim P1(0 To 2) As Double Dim P2(0 To 2) As Double P1(0) = 0: P1(1) = 0: P1(2) = 0 P2(0) = 100: P2(1) = 20: P2(2) = 0 Set L = ThisDrawing.ModelSpace.AddLine(P1, P2) End Function Function Rysuj_Linie_3() As ZcadSelectionSet Dim L As ZcadLine Dim P1(0 To 2) As Double Dim P2(0 To 2) As Double P1(0) = 0: P1(1) = 0: P1(2) = 0 P2(0) = 100: P2(1) = 30: P2(2) = 0 Set L = ThisDrawing.ModelSpace.AddLine(P1, P2) End Function Sub Test() ThisDrawing.SendCommand "(setq z (ssadd))" + vbCr Call Rysuj_Linie_1 ThisDrawing.SendCommand "(ssadd (entlast) z)" + vbCr Call Rysuj_Linie_2 ThisDrawing.SendCommand "(ssadd (entlast) z)" + vbCr Call Rysuj_Linie_3 ThisDrawing.SendCommand "(ssadd (entlast) z)" + vbCr ThisDrawing.SendCommand "(command " + Chr(34) + "_move" + Chr(34) + " z " + Chr(34) + "" + Chr(34) + " " + Chr(34) + "0,0" + Chr(34) + " " + Chr(34) + "100,100" + Chr(34) + " " + Chr(34) + "" + Chr(34) + ") " ' + vbCr ThisDrawing.SendCommand "(alert(itoa(sslength z)))" + vbCr End Sub
  3. Znaleźliśmy błąd, który występuje w ZWCAD 2017/2018 w pliku menu .mnu, a dokładnie w paskach TOOLBAR'S z ikonami. OPIS BŁĘDU: Rozwijany pasek z ikonami będący niejako podmenu głównego paska menu, który w swoim wyświetlanym opisie zawiera przecinki, nie jest w ogóle wyświetlany. FRAGMENT PLIKU .MNU SPRAWIAJĄCY ŻE PODMENU NIE ZOSTANIE WYŚWIETLONE: [_Flyout("opis1, opis2, opis3", ikona.bmp, ikona.bmp, _OtherIcon, MENU.PODMENU)] FRAGMENT PLIKU .MNU, KTÓRY ZOSTANIE WYŚWIETLONY: [_Flyout("opis1 opis2 opis3", ikona.bmp, ikona.bmp, _OtherIcon, MENU.PODMENU)]
  4. Problem z warstwami

    Jest to błąd ZWCAD, znaleziony, przetestowany, oraz zgłaszany przez nas już jakiś czas temu. Mamy nadzieję że ZWSOFT pracuje nad rozwiązaniem. Poniżej zamieszczam nasze spostrzeżenia, przyczynę błędu, oraz wnioski, które udało nam się ustalić podczas testowania tego przypadku. Blokowanie pasków następuje wtedy kiedy wykonamy taką kolejność działań: - otworzymy czysty plik DWG - wstawimy blok z pliku zewnętrznego (np.: przy pomocy e-CAD) - wszystko jest dobrze (nic się nie blokuje) - przełączymy się na chwilę na inne okno (utraci się jakby Focus/aktywność do okna ZWCAD) w systemie Windows (Alt+Tab) - powrócimy do ZWCAD (Alt+Tab) i nic nie robiąc w ZWCAD zablokowany zostanie pasek warstw ROZWIĄZANIE ROBOCZE JAKIE UDAŁO NAM SIĘ USTALIĆ: - zapisać projekt do pliku (nawet go nie zamykając) i pasek się odblokuje - przełączając ponownie (Alt+Tab) pasek się znowu zablokuje - ponowne naciśnięcie Ctrl+S (Zapis) i pasek się odblokowuje WNIOSEK: - po utraceniu Focusa/aktywności do okna ZWCAD blokuje się pasek warstw I kolejne spostrzeżenie, dzieje się to tylko wtedy kiedy wstawia się po raz pierwszy blok do nowego DWG. Jak zapisze się plik i wstawia kolejne (nawet takie same bloki) sytuacja już nie występuje. Mało tego, w tej samej sesji ZWCAD jak otworzymy kolejny nowy/czysty DWG ta sytuacja również już nie występuje. WNIOSEK: - opisana sytuacja występuje tylko w nowym DWG, w świeżo otwartej sesji ZWCAD Zatem proszę o zgłoszenie/zweryfikowanie statusu tego błędu ponownie do ZWSOFT bo nakładki e-CAD nie maja tutaj nic wspólnego. Jedyne co robią to wstawiają blok z pliku i tutaj ZWSOFT powinien szukać przyczyny: wstawianie bloków z pliku przez VBA. Kiedyś ten błąd istniał w szerszym spektrum, został naprawiony przez ZWSOFT ale jak widać jeszcze nie do końca.
  5. Zestawienie stali ecad-żelbet

    Niestety potwierdzam, że w wersji ZWCAD VERNUM = "2017.10.09(22328)_x64_S" generowanie zestawień trwa znacznie dłużej. Może nie jest to 15 sekund, ale z 3 sekundy, jednak np. w starszej wersji ZWCAD VERNUM = "2017.09.18(21849)_x64" zestawienie generowało się błyskawicznie. Również samo wstawianie/rysowanie obiektów jest w tej wersji znacznie wolniejsze. Uruchamia się komendę np. Rysuj przekrój belki i ZWCAD jakby myśli z 3 sekundy, po czym wyświetla cały narysowany rysunek. We wcześniejszych wersjach ZWCAD 2018 problemu tego nie było. Pamiętam jak nakręcaliśmy filmy testowe/porównawcze z innymi wersjami ZWCAD i zgłaszaliśmy błędy powolnego generowania zestawień w ZWCAD 2017. Wtedy problem ten ZWSOFT wyeliminował i od którejś kompilacji wszystko wróciło do normy. Teraz w kompilacji VERNUM = "2017.10.09(22328)_x64_S" widzę, że znowu występuje jakieś spowolnienie. Proszę zatem tak jak ostatnio Zespół Techniczny ZWCAD o zgłoszenie tego do ZWSOFT i przywrócenia sprawności generowania chociażby z poprzedniej kompilacji ZWCAD VERNUM = "2017.09.18(21849)_x64", w której to wszystko działało bardzo szybko, niezauważalnie dla użytkownika.
  6. Przygotowaliśmy dla Państwa zestaw ikon menu e-CAD z ciemnym tłem, przeznaczony dla programów CAD z ciemnym interfejsem (np. ZWCAD 2018). Plik z ikonami do podmiany można pobrać w naszym dziale Aktualizacje, w sekcji Inne pliki do pobrania. Tutaj zamieściliśmy instrukcję: Jak podmienić ikony e-CAD z ciemnym tłem.
  7. Dziękuję. Tak wiem, że ZWCAD+ nie jest już wspierany, jednak wykonałem testy na kilku platformach CAD, żeby mieć spektrum porównań.
  8. Przedstawię problem na przykładzie zarówno ZWCAD 2017 i ZWCAD+ 2015 w którym wygląda to lepiej ale również nie tak jak to powinno być. Dodam jeszcze, że identyczne testy przeprowadziłem na oprogramowaniu CAD konkurencji i tam zarówno obsługa stylów jak i szablonów DWT wygląda prawidłowo. Oto prosta procedura w VBA, którą będę posługiwał się w poniższych przykładach: Sub Test() Dim P As Variant P = ThisDrawing.Utility.GetPoint(, "Wskaż punkt:") Dim T As ZcadText Set T = ThisDrawing.ModelSpace.AddText("Tekst", P, 50) T.StyleName = "t" T.Update End Sub Poniżej zamieszczam również grafiki, które kolejno obrazują opisywane sytuacje. ZWCAD 2017: 1. Tworzę styl tekstu o nazwie "t" 2. Wstawiam tekst przy pomocy powyższej procedury VBA 3. Niestety wstawiony tekst nie posiada cech ustawionych w oknie stylów (nie jest ani pochylony, ani jego współczynnik szerokości nie wynosi 0.8, tylko 1) ZWCAD+ 2015 1. Tworzę styl tekstu o nazwie "t" 2. Wstawiam tekst przy pomocy powyższej procedury VBA 3. Tekst wstawił się prawidłowo 4. Modyfikuję styl tekstowy "t" 5. Wstawiam tekst przy pomocy powyższej procedury VBA 6. Niestety wstawiony tekst nie posiada pełnych cech ustawionych w stylu (wysokość), ale jak się okazuje zaznaczenie wrysowanego tekstu, zmiana jego stylu w oknie Właściwości na "standard" i za chwilę ponownie na "t" aktualizuje/regeneruje ten obiekt i wyświetlany jest poprawnie. Nie zmienia to faktu, że od razu powinien być wrysowany poprawnie. 7. Usuwamy wszystkie obiekty z DWG i całość (łącznie z naszym stylem tekstu "t") zapisujemy jako szablon DWT 8. Zamykamy ZWCAD i uruchamiamy ponownie i otwieramy zapisany przed chwilą szablon DWT 9. Wstawiam tekst przy pomocy powyższej procedury VBA 10. Niestety wstawiony tekst również nie ma pełnych cech ustawionych w stylu "t". Wstawiając natomiast nowy tekst przy pomocy _TEXT wszystko jest poprawnie "Prawidłowy tekst".
  9. Rysowanie słupa - niestabilność z ZwCad

    Miło jest nam poinformować, że nasi programiści znaleźli przyczynę opisanej przez Pana niestabilności ZWCAD 2017/2018 w momencie rysowania słupa z przekrojem w którym występują strzemiona romboidalne. Przyczyną okazały się tzw. zbiory wskazań obsługiwane przez ZWCAD. Zmodyfikowaliśmy już kod programu pod kątem ZWCAD 2017/2018 i nową zmienioną wersję (e-CAD Żelbet 12.81) zamieściliśmy już na naszej stronie internetowej www.e-cad.pl w zakładce Aktualizacje.
  10. Rysowanie słupa - niestabilność z ZwCad

    Przeanalizujemy opisany przez Pana problem również na innych stanowiskach komputerowych i spróbujemy zasymulować opisany przez Pana przypadek. Jeżeli nam się to uda to spróbujemy poszukać przyczyny i w przypadku jej znalezienia, prześlemy stosowny przykład do serwisu technicznego ZWCAD, który następnie przekazuje go do Producenta ZWCAD, a ten z kolei uwzględnia go w kolejnych kompilacjach ZWCAD.
  11. Rysowanie słupa - niestabilność z ZwCad

    Dziwne jest również to, że jak Pan pisze ZWCAD w wersji 32bit generuje Panu problemy. Kiedyś ZWCAD generował problem przy zoomowaniu, lub wstawianiu bloków (teraz jest już to poprawione) i użytkownicy błędnie mogli to kojarzyć z tym że nakładka e-CAD może generować błąd bo występował on akurat po kliknięciu w ikonę e-CAD (próba narysowania czegoś). Jednak przyczyna leżała w samym mechanizmie ZWCAD z którego korzysta oprogramowanie e-CAD i konkretnie dotyczyła ogólnie wstawiania bloków atrybutowych w ZWCAD, które są powszechnie stosowane i mechanizm ten używany jest po kliknięciu w wiele ikon e-CAD, np: rysowanie przekroju słupa, belki, itd. Klikając w ikonę e-CAD wywoływanych jest szereg komend i funkcji programistycznych i być może w połączeniu z konkretną instalacją ZWCAD, konkretną wersją Windows i na konkretnym stanowisku komputerowym występuje taki dziwny splot zdarzeń że w konsekwencji powstaje jakiś wyjątek, co owocuje niestabilnością samego ZWCAD który jak Pan pisze zawiesza się lub wyłącza.
  12. Rysowanie słupa - niestabilność z ZwCad

    Nakładki e-CAD same w sobie nie generują problemów związanych ze stabilnością i zachowaniem programu/platformy CAD. Nakładki działają wewnątrz środowiska programu CAD i wywołują jedynie komendy oraz narzędzia w nim zaszyte. Ponadto sprawdziłem rysowanie słupa w e-CAD zarówno w: VERNUM = "2017.07.21(19945)_x64_S" VERNUM = "2017.09.18(21849)_x64" (jest to już ZWCAD 2018) i potwierdzam że działa ono prawidłowo, jak zresztą pozostała część narzędzi e-CAD.
  13. Oznaczanie przekrojów w e-CAD i PI

    W e-CAD zastosowaliśmy takie a nie inne podejście do tematu jeżeli chodzi o wydruk i sposób przygotowania rysunku w danej skali i jednostce. Naszym zdaniem jak najbardziej praktyczne. Nie można w jednym programie zawrzeć wszystkich możliwości, rozwiązań,... trzeba zdecydować się na coś. My zdecydowaliśmy od początku że z przyczyn czysto praktycznych będziemy to realizowali właśnie w taki a nie inny sposób. Zatem błędne jest Pana twierdzenie że coś działa źle. Program kreśli zgodnie z algorytmem i robi to dobrze, tylko przy Pańskim podejściu do tematu pewne konfiguracje np. rysowanie w 1:1 [metry] nie ma większego sensu. Wskazaliśmy zatem Panu powyżej jak rysować aby wykorzystać e-CAD optymalnie. Uważam, że żaden program nie zrealizuje i nie wyczerpie wszystkich możliwości jakie chcieliby uzyskać użytkownicy, jest to po prostu niemożliwe. Każdy z nas ma inne preferencje. Nie można zatem powiedzieć że czerwony samochód sąsiada jest nieładny, bo mi podoba się tylko niebieski...
  14. Oznaczanie przekrojów w e-CAD i PI

    Dzięki zastosowaniu odpowiednich zabiegów w nakładkach e-CAD szrafy linii pozostają niezmienione i zawsze są proporcjonalne w stosunku do parametrów przy których zostały narysowane (ma na to wpływ skala i jednostka e-CAD). Można używać oczywiście zmiennej globalnej LTSCALE i ona oddziałuje na szrafy linii, ale skaluje je nadal proporcjonalnie w stosunku do tego jak zostały narysowane pierwotnie. A to jest zaleta dzięki której łatwo możemy w jednym i tym samym DWG wykonać wiele rysunków w różnych skalach i jednostkach e-CAD, nie martwiąc że np.: któraś z linii nagle przestanie być widoczna bo jej wzór stanie się zbyt gęsty.
  15. Oznaczanie przekrojów w e-CAD i PI

    Skalowanie obiektów w e-CAD działa dla każdej skali, również dla 1:1 w metrach. Poniżej jeszcze raz przedstawiam wycinek pomocy z nakładek e-CAD, objaśniające jak to jest u nas rozwiązane.